import { eAuthenticity, eCheckResult } from '../../../../../../../../../../../../../consts';
import { IdentResult, iIdentResult } from './children';
import { aAuthenticityCheckResult } from '../../authenticity-check-result.abstract';
/**
* Result type of AuthenticityIdentCheckResult
*/
export type tAuthenticityIdentCheckResultType = eAuthenticity.IMAGE_PATTERN | eAuthenticity.IR_VISIBILITY | eAuthenticity.OVI | eAuthenticity.IR_LUMINESCENCE | eAuthenticity.PORTRAIT_COMPARISON | eAuthenticity.KINEGRAM | eAuthenticity.LETTER_SCREEN | eAuthenticity.HOLOGRAM_DETECTION | eAuthenticity.FINGERPRINT_COMPARISON | eAuthenticity.LIVENESS | eAuthenticity.ENCRYPTED_IPI;
/**
* Result type of AuthenticityIdentCheckResult
*/
export declare const AuthenticityIdentCheckResultTypes: tAuthenticityIdentCheckResultType[];
/**
* Container for IdentResult
*/
export interface iAuthenticityIdentCheckResult extends aAuthenticityCheckResult {
    /**
    * Type of the performed check
    * @type {tAuthenticityIdentCheckResultType}
    */
    Type: tAuthenticityIdentCheckResultType;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    Result: eCheckResult;
    /**
    * Array of results of checks
    * @type {iIdentResult[]}
    */
    List: iIdentResult[];
    /**
    * Number of List items
    * @type {number}
    */
    Count: number;
}
/**
* Container for IdentResult
*/
export declare class AuthenticityIdentCheckResult extends aAuthenticityCheckResult implements iAuthenticityIdentCheckResult {
    /**
    * Type of the performed check
    * @type {tAuthenticityIdentCheckResultType}
    */
    Type: tAuthenticityIdentCheckResultType;
    /**
    * Overall checking result
    * @type {eCheckResult}
    */
    Result: eCheckResult;
    /**
    * Array of results of checks
    * @type {IdentResult[]}
    */
    List: IdentResult[];
    /**
    * Number of List items
    * @type {number}
    */
    Count: number;
    /**
    * Creates an instance of AuthenticityIdentCheckResult.
    * @param {iAuthenticityIdentCheckResult} plain - plain object
    * @return {AuthenticityIdentCheckResult} - new instance
    */
    static fromPlain: (plain: unknown) => AuthenticityIdentCheckResult;
    /**
    * Check if the object is a valid AuthenticityIdentCheckResult
    * @param {unknown} type - object to check
    * @return {type is iAuthenticityIdentCheckResult} - result
    */
    static isBelongs: (type: unknown) => type is iAuthenticityIdentCheckResult;
}
