import { eLights, eResultType, eSource } from '../../../../../../../../../../../../../consts';
import { iRfidOrigin, RfidOrigin } from '../../../../../../../../../../../rfid-origin';
import { iRect, Rect } from '../../../../../../../../../../../rect';
/**
* Image representation
*/
export interface iImageFieldValue {
    /**
    * Image file in Base64 representation
    * @type {string|undefined}
    */
    value?: string;
    /**
    * Original image file in Base64 representation
    * @type {string|undefined}
    */
    originalValue?: string;
    /**
    * Source
    * @type {eSource}
    */
    source: eSource;
    /**
    * Container type
    * @type {eResultType}
    */
    containerType: eResultType;
    /**
    * Page index
    * @type {number}
    */
    pageIndex: number;
    /**
    * Light index
    * @type {eLights}
    */
    lightIndex: eLights;
    /**
    * Field rectangular area
    * @type {iRect|undefined}
    */
    fieldRect?: iRect;
    /**
    * Field source from electronic document
    * @type {iRfidOrigin|undefined}
    */
    rfidOrigin?: iRfidOrigin;
    /**
    * Original page index
    * @type {number|undefined}
    */
    originalPageIndex?: number;
}
/**
* Image representation
*/
export declare class ImageFieldValue implements iImageFieldValue {
    /**
    * Image file in Base64 representation
    * @type {string|undefined}
    */
    value?: string;
    /**
    * Original image file in Base64 representation
    * @type {string|undefined}
    */
    originalValue: string;
    /**
    * Source
    * @type {eSource}
    */
    source: eSource;
    /**
    * Container type
    * @type {eResultType}
    */
    containerType: eResultType;
    /**
    * Page index
    * @type {number}
    */
    pageIndex: number;
    /**
    * Light index
    * @type {eLights}
    */
    lightIndex: eLights;
    /**
    * Field rectangular area
    * @type {iRect|undefined}
    */
    fieldRect?: Rect;
    /**
    * Field source from electronic document
    * @type {RfidOrigin|undefined}
    */
    rfidOrigin?: RfidOrigin;
    /**
    * Original page index
    * @type {number|undefined}
    */
    originalPageIndex?: number;
}
