import { eBarCodeType, eBarCodeResultCodes } from '../../../../consts';
import { iRDocumentBarcodeModuleData, RDocumentBarcodeModuleData } from './document-barcode-module-data.model';
/**
* Used for storing document barcode field.
*/
export interface iRDocumentBarcodeField {
    /**
    * Field index
    * @type {number}
    */
    fieldIndex: number;
    /**
    * Barcode type
    * @type {eBarCodeType}
    */
    type: eBarCodeType;
    /**
    * Barcode reading result code
    * @type {eBarCodeResultCodes}
    */
    resultCode: eBarCodeResultCodes;
    /**
    * Array of barcode modules data
    * @type {iRDocumentBarcodeModuleData[]}
    */
    modulesData: iRDocumentBarcodeModuleData[];
}
/**
* Used for storing document barcode field.
*/
export declare class RDocumentBarcodeField implements iRDocumentBarcodeField {
    /**
    * Field index
    * @type {number}
    */
    fieldIndex: number;
    /**
    * Barcode type
    * @type {eBarCodeType}
    */
    type: eBarCodeType;
    /**
    * Barcode reading result code
    * @type {eBarCodeResultCodes}
    */
    resultCode: eBarCodeResultCodes;
    /**
    * Array of barcode modules data
    * @type {RDocumentBarcodeModuleData[]}
    */
    modulesData: RDocumentBarcodeModuleData[];
}
